<template>

  <div @click="dialogVisible = true" alt="">
    绑定学院
  </div>

  <el-dialog v-model="dialogVisible"  title="绑定学院" width="30%" draggable>
    <el-form v-model="form" label-width="170px" style="position:relative;top:1px;">
        <el-form-item label="学号" >
            <el-input style="width:250px" v-model="form.number" placeholder="请输入学号"></el-input>
        </el-form-item>
        <el-form-item label="学院绑定码">
            <el-input style="width:250px" v-model="form.bindCode" placeholder="请输入学院绑定码"></el-input>
        </el-form-item>
    </el-form>
    <template #footer>
      <span class="dialog-footer">
        <el-button @click="dialogVisible = false">关闭窗口</el-button>
        <el-button type="primary" @click="bindFunc">进行绑定</el-button>
      </span>
    </template>
  </el-dialog>
</template>

<script scoped>
import { ref } from 'vue'



export default {
    name:"bindCollege",
    data () {
      return {
        dialogVisible: false,
        form: {
          number: '',
          bindCode: ''
        }
      }
    },
    components: {
      
    },
    method: {
      bindFunc() {
        let token = localStorage.getItem("token");
        const { number, bindCode } = this.form
        axios({
            method: "POST",
            url: "http://" + global.ip + "/api/user/bind",
            headers: { Authorization: `Bearer: ${token}` },
            data: {
                number,
                bindCode,
            }
        }).then((res) => {
            // console.log(res);
            this.tableData = res.data.notices;
            this.dialogVisible = false
        });
      }
    }
}
</script>

